<?php
/**
 * Copyright (C) OEmarry All rights reserved.
 * <E-Mail：service@phpcoo.com>
 * Url http://www.phpcoo.com
 *     http://www.oephp.com
 *     http://www.oemarry.com
 * Update 2016.08.16
*/
header("Content-type: text/html; charset=utf-8");
@set_time_limit(0);
@error_reporting(E_ALL & ~ E_NOTICE);
define('BASE_ROOT', dirname(__FILE__).'/');
if (file_exists(BASE_ROOT."install")) {
    if (!file_exists(BASE_ROOT."install/data/install.lock")) {
        header("Location: install/index.php");
        die;
    }
}
define("OE_CHECK_WAP", true);
require_once(BASE_ROOT."source/core/util/function.iswap.php");
require_once(BASE_ROOT."source/core/oephp/Application.php");
APP::run();
OEPHP_OEMARRY::initialize();
?>